Main Page | Modules | Namespace List | Class Hierarchy | Alphabetical List | Class List | File List | Namespace Members | Class Members | Related Pages | Search for

# eoSecondMomentStats< EOT > Class Template Reference

Average fitness + Std. More...

`#include <eoStat.h>`

Inheritance diagram for eoSecondMomentStats< EOT >:

List of all members.

## Public Types
typedef EOT::Fitness | fitness_type
typedef std::pair< double, double > | SquarePair
## Public Member Functions
| eoSecondMomentStats (std::string _description="Average & Stdev")
virtual void | operator() (const eoPop< EOT > &_pop)
| The pure virtual function that needs to be implemented by the subclass.
virtual std::string | className (void) const
## Static Public Member Functions
SquarePair | sumOfSquares (SquarePair _sq, const EOT &_eo)

## Detailed Description

### template<class EOT>
class eoSecondMomentStats< EOT >

Average fitness + Std.

dev. of a population, fitness needs to be scalar.

Definition at line 168 of file eoStat.h.

The documentation for this class was generated from the following file:

- eoStat.h